import * as apig from "@aws-cdk/aws-apigatewayv2-alpha";
import { toCdkDuration } from "./duration.js";
export function buildCorsConfig(cors) {
    // Handle cors: false
    if (cors === false) {
        return;
    }
    // Handle cors: true | undefined
    else if (cors === undefined || cors === true) {
        return {
            allowHeaders: ["*"],
            allowMethods: [apig.CorsHttpMethod.ANY],
            allowOrigins: ["*"],
        };
    }
    // Handle cors: apig.CorsPreflightOptions
    else {
        return {
            allowCredentials: cors.allowCredentials,
            allowHeaders: cors.allowHeaders,
            allowMethods: (cors.allowMethods || []).map((method) => apig.CorsHttpMethod[method]),
            allowOrigins: cors.allowOrigins,
            exposeHeaders: cors.exposeHeaders,
            maxAge: cors.maxAge && toCdkDuration(cors.maxAge),
        };
    }
}
